html {overflow-x: hidden;scroll-behavior: smooth;}

body {
    background: #AFCA0A;
    word-wrap: break-word;
    hyphens: auto;
    font-synthesis: none;
}

:focus {outline: none!important;}

.hide {display: none!important;}

.wp-block-group.alignfull.has-global-padding.is-layout-constrained.wp-container-core-group-is-layout-1.wp-block-group-is-layout-constrained {
    position: relative;
    top: -170px;
    z-index: 10;
}

.frey-avatar img {border-color: #fff;}

div#modal-1-content {margin-right: 20px;}

main#wp--skip-link--target {top: -90px;}



.wp-block-uagb-container.first-container.uagb-block-b195fc03.alignwide.uagb-is-root-container:after {
    content: ' ';
    position: absolute;
    width: 472px;
    height: 544px;
    top: -200px;
    right: -110px; 
    background-image: url(/wp-content/uploads/2025/03/logo-big.svg);
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-color: transparent;
    overflow: hidden;
    z-index: -1;
}

.wp-block-uagb-container.first-container.uagb-block-4f0bdbd3.alignwide.uagb-is-root-container:after {
    content: ' ';
    position: absolute;
    width: 472px;
    height: 544px;
    top: -190px;
    right: -110px; 
    background-image: url(/wp-content/uploads/2025/03/logo-big.svg);
    background-repeat: no-repeat;
    background-position: 50% 50%;
    background-color: transparent;
    overflow: hidden;
    z-index: 0;
}

.uagb-container-inner-blocks-wrap {
    z-index: 1;
}

/* VITA */

.timeline {
    width: 100%;
    margin: 20px auto;
    padding: 20px 0;
}

.entry {
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid #ccc;
    padding: 20px 0;
}

.entry:last-child {
    border-bottom: 0px;
}

.year {
    width: 120px;
    font-size: 20px;
    font-weight: bold;
    color: #afca0a;
    padding-right: 30px;
    text-align: right;
}

.text {
    flex: 1;
    font-size: 20px;
}

/* VITA END */


/* MENU / NAVI */

#backToTop {
    position: fixed;
    bottom: 40px;
    right: 40px;
    border: none;
    background: none;
    cursor: pointer;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    z-index: 91;
}

.custom-menu-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    background: transparent;
    margin-top: 20px;
    position: relative;
    height: 0;
    z-index: 100;
    top: 50px;
    width: 100vw;
    position: fixed;
    transition: all 0.3s ease-in-out;
}

.custom-menu-wrapper.scrolled {
    background: #fff !important;
    height: 90px;
    top: -20px;
}
    
.custom-menu {
    width: 1300px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #fff;
    height: 30px;
    border-radius: 25px;
    padding: 20px;
    margin: 0 40px;
}

/* MENU / NAVI END */






/* Media Query für kleinere Bildschirme */
@media (max-width: 800px) {
    .wp-block-uagb-container.first-container.uagb-block-b195fc03.alignwide.uagb-is-root-container:after {
        right: -30px; /* Passen Sie diesen Wert an, basierend auf dem kleineren Bildschirm */
        width: 272px;
        height: 404px;
        top: -170px;
        background-position: 190% 50%;
        background-size: 80%;
    }

    .wp-block-uagb-container.first-container.uagb-block-4f0bdbd3.alignwide.uagb-is-root-container:after {
        right: -30px; 
        width: 272px;
        height: 404px;
        top: -150px;
        background-position: 190% 50%;
        background-size: 80%;
    }

    .wp-block-spacer.abstand {
        height: 60px !important;
    }

    .entry {
        flex-direction: column;
    }

    .year {
        text-align: left!important;
    }

    #backToTop {
        bottom: 30px;
        right: 30px;
    }

    li.has-small-font-size.wp-block-navigation-item.menu-anchor-name.wp-block-navigation-link.has-medium-font-size {
        font-size: xx-large !important;
    }

    li.has-small-font-size.wp-block-navigation-item.menu-anchor-name.wp-block-navigation-link.has-medium-font-size:first-child {
        font-size: xx-large !important;
        
    }

    li.has-small-font-size.wp-block-navigation-item.menu-anchor-name.wp-block-navigation-link.has-medium-font-size:first-child:before {
        content: ' ';
        min-height: 150px;
        height: 150px;
        width: 100vw;
        padding-top: 0px;
        padding-bottom: 0px;
        padding-left: 0px;
        padding-right: 0px;
        margin-top: 0px !important;
        margin-bottom: 0px !important;
        margin-left: -50px !important;
        margin-right: 0px !important;
        overflow: hidden;
        order: initial;
        border-color: inherit;
        background-repeat: no-repeat;
        background-position: left 100%;
        background-size: 150px;
        background-attachment: scroll;
        background-image: url(/wp-content/uploads/2025/03/frey-logo.svg);
        background-clip: padding-box;
        left: -170px;
        align-items: center;
        justify-content: center;
        flex-wrap: nowrap;
        row-gap: 0px;
        column-gap: 0px;
        max-width: 100vw !important;
        position: absolute;
        top: -145px;
        background-color: transparent;
        border-radius: 10px 10px 0px 0px;
    }
    
    div#modal-1 {
    overflow: hidden;
}

}






/* CHANGE THEME BREAKPOINT TO MOBILE */

body .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: block !important;
}
body .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    display: none !important;
}

@media (min-width: 800px) {
    body .wp-block-navigation__responsive-container-open:not(.always-shown) {
        display: none !important;;
    }
    body .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
        display: block !important;
    }
}






















